import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { RouteInfo } from './vertical-sidebar.metadata';
import { ROUTES } from './vertical-menu-items';


@Injectable({
    providedIn: 'root'
})
export class VerticalSidebarService {

    public screenWidth: any;
    public collapseSidebar: boolean = false;
    public fullScreen: boolean = false;

    MENUITEMS: RouteInfo[] = ROUTES;

    items = new BehaviorSubject<RouteInfo[]>(this.MENUITEMS);

    submenu: {
        "itemId": string,
        "templateId": string,
        "fileName": string,
        "tdesc": string,
        "edesc": string,
        "module": string,
    }[] = [
            // {
            //     "itemId": "3459",
            //     "templateId": "3011",
            //     "fileName": "BFET6T4QJ.xlsx",
            //     "tdesc": "FOR TEST OPTION ESS",
            //     "edesc": "FOR TEST OPTION ESS",
            //     "module": "EMPVIEW"
            // },
            // {
            //     "itemId": "3462",
            //     "templateId": "3011",
            //     "fileName": "F5QTI20MBJ.xls",
            //     "tdesc": "REPORT WORKING HOURS_BU3",
            //     "edesc": "REPORT WORKING HOURS_BU3",
            //     "module": "EMPVIEW"
            // }
        ]
    constructor() {
    }
}
